Get human verification statistics
GET
/stats/human-verification
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/stats/human-verification"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/stats/human-verification"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/stats/human-verification") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/stats/human-verification'};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/stats/human-verification';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/stats/human-verification";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://api.ethos.network/api/v2/stats/human-verificationwget --quiet \ --method GET \ --output-document \ - https://api.ethos.network/api/v2/stats/human-verificationResponses
Section titled “Responses”Successful response
Media typeapplication/json
object
summary
required
object
verifiedCount
required
number
qualifiedVerifierCount
required
number
pendingCount
required
number
progressDistribution
required
Array<object>
object
bonds
required
number
userCount
required
number
verifiedByScoreLevel
required
Array<object>
object
level
required
string
count
required
number
methodBreakdown
required
Array<object>
object
method
required
string
count
required
number
Example
{ "verifiedByScoreLevel": [ { "level": "untrusted" } ], "methodBreakdown": [ { "method": "IRL" } ]}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}